Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.xni
Interface XMLDTDHandler

All Known Subinterfaces:
  XMLDTDFilter

All Known Implementing Classes:
  AbstractDOMParser, AbstractSAXParser, AbstractSAXPullParser, AbstractXMLDocumentParser, AbstractXMLDocumentPullParser, DOMASBuilderImpl, DOMBuilderImpl, DOMParser, DTDGrammar, DTDParser, SAXParser, SAXPullParser, XMLDocumentParser, XMLDTDLoader, XMLDTDProcessor

Deprecated. please use JDK supplied XML parsers and transformers

    public interface XMLDTDHandler

The DTD handler interface defines callback methods to report information items in the DTD of an XML document. Parser components interested in DTD information implement this interface and are registered as the DTD handler on the DTD source.

See Also:
  `XMLDTDContentModelHandler`

Field Summary
`static short` | `CONDITIONAL_IGNORE` Deprecated. Conditional section: IGNORE.
`static short` | `CONDITIONAL_INCLUDE` Deprecated. Conditional section: INCLUDE.

Method Summary
`void` | `attributeDecl(String elementName, String attributeName, String type, String[] enumeration, String defaultType, XMLString defaultValue, XMLString nonNormalizedDefaultValue, Augmentations augmentations)` Deprecated. An attribute declaration.
`void` | `comment(XMLString text, Augmentations augmentations)` Deprecated. A comment.
`void` | `elementDecl(String name, String contentModel, Augmentations augmentations)` Deprecated. An element declaration.
`void` | `endAttlist(Augmentations augmentations)` Deprecated. The end of an attribute list.
`void` | `endConditional(Augmentations augmentations)` Deprecated. The end of a conditional section.
`void` | `endDTD(Augmentations augmentations)` Deprecated. The end of the DTD.
`void` | `endExternalSubset(Augmentations augmentations)` Deprecated. The end of the DTD external subset.
`void` | `endParameterEntity(String name, Augmentations augmentations)` Deprecated. This method notifies the end of a parameter entity.
`void` | `externalEntityDecl(String name, XMLResourceIdentifier identifier, Augmentations augmentations)` Deprecated. An external entity declaration.
`void` | `ignoredCharacters(XMLString text, Augmentations augmentations)` Deprecated. Characters within an IGNORE conditional section.
`void` | `internalEntityDecl(String name, XMLString text, XMLString nonNormalizedText, Augmentations augmentations)` Deprecated. An internal entity declaration.
`void` | `notationDecl(String name, XMLResourceIdentifier identifier, Augmentations augmentations)` Deprecated. A notation declaration
`void` | `processingInstruction(String target, XMLString data, Augmentations augmentations)` Deprecated. A processing instruction.
`void` | `startAttlist(String elementName, Augmentations augmentations)` Deprecated. The start of an attribute list.
`void` | `startConditional(short type, Augmentations augmentations)` Deprecated. The start of a conditional section.
`void` | `startDTD(XMLLocator locator, Augmentations augmentations)` Deprecated. The start of the DTD.
`void` | `startExternalSubset(XMLResourceIdentifier identifier, Augmentations augmentations)` Deprecated. The start of the DTD external subset.
`void` | `startParameterEntity(String name, XMLResourceIdentifier identifier, String encoding, Augmentations augmentations)` Deprecated. This method notifies of the start of a parameter entity.
`void` | `textDecl(String version, String encoding, Augmentations augmentations)` Deprecated. Notifies of the presence of a TextDecl line in an entity.
`void` | `unparsedEntityDecl(String name, XMLResourceIdentifier identifier, String notation, Augmentations augmentations)` Deprecated. An unparsed entity declaration.

Field Detail

### CONDITIONAL_INCLUDE

    static final short CONDITIONAL_INCLUDE

  Deprecated.
  Conditional section: INCLUDE.

  See Also:
    `XMLDTDHandler.CONDITIONAL_IGNORE`, Constant Field Values

### CONDITIONAL_IGNORE

    static final short CONDITIONAL_IGNORE

  Deprecated.
  Conditional section: IGNORE.

  See Also:
    `XMLDTDHandler.CONDITIONAL_INCLUDE`, Constant Field Values

Method Detail

### startDTD

    void startDTD(XMLLocator locator,
                  Augmentations augmentations)
                  throws XNIException

  Deprecated.
  The start of the DTD.

  Parameters:
    `locator` - The document locator, or null if the document location cannot be reported during the parsing of the document DTD. However, it is strongly recommended that a locator be supplied that can at least report the base system identifier of the DTD.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startParameterEntity

    void startParameterEntity(String name,
                              XMLResourceIdentifier identifier,
                              String encoding,
                              Augmentations augmentations)
                              throws XNIException

  Deprecated.
  This method notifies of the start of a parameter entity. The parameter entity name start with a '%' character.

  Parameters:
    `name` - The name of the parameter entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal parameter entities).
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### textDecl

    void textDecl(String version,
                  String encoding,
                  Augmentations augmentations)
                  throws XNIException

  Deprecated.
  Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

  Note: This method is only called for external parameter entities referenced in the DTD.

  Parameters:
    `version` - The XML version, or null if not specified.
    `encoding` - The IANA encoding name of the entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endParameterEntity

    void endParameterEntity(String name,
                            Augmentations augmentations)
                            throws XNIException

  Deprecated.
  This method notifies the end of a parameter entity. Parameter entity names begin with a '%' character.

  Parameters:
    `name` - The name of the parameter entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startExternalSubset

    void startExternalSubset(XMLResourceIdentifier identifier,
                             Augmentations augmentations)
                             throws XNIException

  Deprecated.
  The start of the DTD external subset.

  Parameters:
    `identifier` - The resource identifier.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endExternalSubset

    void endExternalSubset(Augmentations augmentations)
                           throws XNIException

  Deprecated.
  The end of the DTD external subset.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### comment

    void comment(XMLString text,
                 Augmentations augmentations)
                 throws XNIException

  Deprecated.
  A comment.

  Parameters:
    `text` - The text in the comment.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by application to signal an error.

### processingInstruction

    void processingInstruction(String target,
                               XMLString data,
                               Augmentations augmentations)
                               throws XNIException

  Deprecated.
  A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

  Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

  Parameters:
    `target` - The target.
    `data` - The data or null if none specified.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### elementDecl

    void elementDecl(String name,
                     String contentModel,
                     Augmentations augmentations)
                     throws XNIException

  Deprecated.
  An element declaration.

  Parameters:
    `name` - The name of the element.
    `contentModel` - The element content model.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startAttlist

    void startAttlist(String elementName,
                      Augmentations augmentations)
                      throws XNIException

  Deprecated.
  The start of an attribute list.

  Parameters:
    `elementName` - The name of the element that this attribute list is associated with.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### attributeDecl

    void attributeDecl(String elementName,
                       String attributeName,
                       String type,
                       String[] enumeration,
                       String defaultType,
                       XMLString defaultValue,
                       XMLString nonNormalizedDefaultValue,
                       Augmentations augmentations)
                       throws XNIException

  Deprecated.
  An attribute declaration.

  Parameters:
    `elementName` - The name of the element that this attribute is associated with.
    `attributeName` - The name of the attribute.
    `type` - The attribute type. This value will be one of the following: "CDATA", "ENTITY", "ENTITIES", "ENUMERATION", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", or "NOTATION".
    `enumeration` - If the type has the value "ENUMERATION" or "NOTATION", this array holds the allowed attribute values; otherwise, this array is null.
    `defaultType` - The attribute default type. This value will be one of the following: "#FIXED", "#IMPLIED", "#REQUIRED", or null.
    `defaultValue` - The attribute default value, or null if no default value is specified.
    `nonNormalizedDefaultValue` - The attribute default value with no normalization performed, or null if no default value is specified.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endAttlist

    void endAttlist(Augmentations augmentations)
                    throws XNIException

  Deprecated.
  The end of an attribute list.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### internalEntityDecl

    void internalEntityDecl(String name,
                            XMLString text,
                            XMLString nonNormalizedText,
                            Augmentations augmentations)
                            throws XNIException

  Deprecated.
  An internal entity declaration.

  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `text` - The value of the entity.
    `nonNormalizedText` - The non-normalized value of the entity. This value contains the same sequence of characters that was in the internal entity declaration, without any entity references expanded.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### externalEntityDecl

    void externalEntityDecl(String name,
                            XMLResourceIdentifier identifier,
                            Augmentations augmentations)
                            throws XNIException

  Deprecated.
  An external entity declaration.

  Parameters:
    `name` - The name of the entity. Parameter entity names start with '%', whereas the name of a general entity is just the entity name.
    `identifier` - An object containing all location information pertinent to this external entity.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### unparsedEntityDecl

    void unparsedEntityDecl(String name,
                            XMLResourceIdentifier identifier,
                            String notation,
                            Augmentations augmentations)
                            throws XNIException

  Deprecated.
  An unparsed entity declaration.

  Parameters:
    `name` - The name of the entity.
    `identifier` - An object containing all location information pertinent to this unparsed entity declaration.
    `notation` - The name of the notation.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### notationDecl

    void notationDecl(String name,
                      XMLResourceIdentifier identifier,
                      Augmentations augmentations)
                      throws XNIException

  Deprecated.
  A notation declaration

  Parameters:
    `name` - The name of the notation.
    `identifier` - An object containing all location information pertinent to this notation.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### startConditional

    void startConditional(short type,
                          Augmentations augmentations)
                          throws XNIException

  Deprecated.
  The start of a conditional section.

  Parameters:
    `type` - The type of the conditional section. This value will either be CONDITIONAL_INCLUDE or CONDITIONAL_IGNORE.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.
  See Also:
    `XMLDTDHandler.CONDITIONAL_INCLUDE`, `XMLDTDHandler.CONDITIONAL_IGNORE`

### ignoredCharacters

    void ignoredCharacters(XMLString text,
                           Augmentations augmentations)
                           throws XNIException

  Deprecated.
  Characters within an IGNORE conditional section.

  Parameters:
    `text` - The ignored text.
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endConditional

    void endConditional(Augmentations augmentations)
                        throws XNIException

  Deprecated.
  The end of a conditional section.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endDTD

    void endDTD(Augmentations augmentations)
                throws XNIException

  Deprecated.
  The end of the DTD.

  Parameters:
    `augmentations` - Additional information that may include infoset augmentations.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD